need support to install client on my macOS High Sierra

Post here to get support
Post Reply
Munaf82
Beginner
Posts: 1
Joined: Sat Oct 21, 2017 6:38 pm

need support to install client on my macOS High Sierra

Post by Munaf82 » Sat Oct 21, 2017 7:00 pm

Hi everyone, Thanks for this product :)
I have problem with downloading the client on my macOS High Sierra 10.13 the oracle Vbox failed with installation and when I searched about it says compatibility issues ! and then I tried to use the other option to run the client from the source code as mentioned in getting started page https://www.bitcraze.io/getting-started ... yflie-2-0/ , and I cloned from the git and installed the packages as also mentioned Here : https://github.com/bitcraze/crazyflie-c ... /README.md I installed the homebrew and installed the cfclient and when I tried to start it I got this message :CRITICAL:cfclient.gui:No pysdl2 installation found, exiting!

I updated my python to 3.6.3 & SDL2-2.0.6 , so what did I missed ? appreciate your support

thanks

kristoffer
Bitcraze
Posts: 90
Joined: Tue Jun 30, 2015 7:47 am

Re: need support to install client on my macOS High Sierra

Post by kristoffer » Mon Oct 23, 2017 2:52 pm

Hi!

I'm not sure what is happening. Have you tried to reinstall the sdl libraries?

Did you install python3 from brew as well? If so, are you sure you are running the "brew" python and not the one from Apple?. You can check with

Code: Select all

$ which python3
/usr/local/bin/python3
if all is good you should get /usr/local/bin/python3

Post Reply